# Uses of Class
org.eclipse.emf.compare.EMFCompare

Packages that use EMFCompare
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.ide.ui.internal.configuration
org.eclipse.emf.compare.ide.ui.internal.editor
org.eclipse.emf.compare.rcp.ui.internal.configuration
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

## Uses of EMFCompare in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return EMFCompare
Modifier and Type
Method
Description
`EMFCompare`
EMFCompare.Builder.`build()`
Instantiates and return an EMFCompare object configured with the previously given engines.

## Uses of EMFCompare in org.eclipse.emf.compare.ide.ui.internal.configuration

Methods in org.eclipse.emf.compare.ide.ui.internal.configuration that return EMFCompare
Modifier and Type
Method
Description
`EMFCompare`
EMFCompareConfiguration.`getEMFComparator()`
Methods in org.eclipse.emf.compare.ide.ui.internal.configuration with parameters of type EMFCompare
Modifier and Type
Method
Description
`void`
EMFCompareConfiguration.`setEMFComparator(EMFCompare newComparator)`

## Uses of EMFCompare in org.eclipse.emf.compare.ide.ui.internal.editor

Constructors in org.eclipse.emf.compare.ide.ui.internal.editor with parameters of type EMFCompare
Modifier
Constructor
Description
``
`ComparisonScopeEditorInput(EMFCompareConfiguration configuration, ICompareEditingDomain editingDomain, AdapterFactory adapterFactory, EMFCompare comparator, IComparisonScope scope)`

## Uses of EMFCompare in org.eclipse.emf.compare.rcp.ui.internal.configuration

Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration that return EMFCompare
Modifier and Type
Method
Description
`EMFCompare`
IEMFCompareConfiguration.`getEMFComparator()`
`EMFCompare`
IEMFComparatorChange.`getNewValue()`
`EMFCompare`
IEMFComparatorChange.`getOldValue()`
Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration with parameters of type EMFCompare
Modifier and Type
Method
Description
`void`
IEMFCompareConfiguration.`setEMFComparator(EMFCompare comparator)`

## Uses of EMFCompare in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

Constructors in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl with parameters of type EMFCompare
Modifier
Constructor
Description
``
`EMFComparatorChange(EMFCompare oldValue, EMFCompare newValue)`